package io.zipcoder.casino;

import java.util.Collections;

import java.util.Stack;

public class Deck {

    private Stack<Card> cards;

    public Deck() {
        cards = new Stack<Card>();

        for (Rank value : Rank.values()) {

            for (Suit suit : Suit.values()) {

                Card card = new Card(suit, value);

                cards.push(card);
            }
        }
    }


    public void shuffleDeck() {

        Collections.shuffle(cards);
    }

    public Card dealCard() {

        //call cards,  remove which returns a Card
        // then return the removed card
        return cards.pop();//dealer needs to call for number of cards
    }
}

