package io.zipcoder.casino;

import java.util.ArrayList;
import java.util.List;

public class Hand {
    private ArrayList<Card> list;

    public Hand()
    {

    }

    public void add(Card card) {
        list.add(card);
    }

    public void remove(Card card) {
        list.remove(card);
    }

    public Integer size() {
        return list.size();
    }

    public Integer getValue() {
        int sum = 0;
        for(Card c : list) {
            sum += c.getRank().getPrimaryValue();
        }
        return sum;
    }
}
