package io.zipcoder.casino;

public enum Rank {
    ACE(1, 11),
    TWO(2),
    THREE(3),
    FOUR(4),
    FIVE(5),
    SIX(6),
    SEVEN(7),
    EIGHT(8),
    NINE(9),
    TEN(10),
    JACK(10),
    QUEEN(10),
    KING(10);

    private int primaryValue;
    private int secondaryValue;

    Rank(int primaryValue)
    {
        this.primaryValue = primaryValue;
        this.secondaryValue = primaryValue;
    }

    Rank(int primaryValue, int secondaryValue)
    {
        this.primaryValue = primaryValue;
        this.secondaryValue = secondaryValue;
    }

    public int getPrimaryValue() {
        return primaryValue;
    }

    public int getSecondaryValue() {
        return secondaryValue;
    }
}