package io.zipcoder.casino;


import org.junit.Assert;
import org.junit.Test;

public class TestWallet {

    @Test
    public void getBalance(){
        Wallet wallet= new Wallet(0.0, "Nury H.");
        //given
        double amount = 100;
        wallet.addMoney(amount);
        //when
        double actual = wallet.getMoney();
        //then
        Assert.assertEquals(amount, actual, 0.0);
    }

    @Test
   public void testGetId(){
        //given
        Wallet wallet= new Wallet(0.0, "Nury H.");
        String expected = "Nury H.";

        //when
        String actual = wallet.getId();
        //then
        Assert.assertEquals(expected, actual);

    }

    @Test
   public void testSetid(){
        //given
        Wallet wallet= new Wallet(0.0, "Nury H.");
        wallet.setId("Dayhani");
        //when
        String actual = wallet.getId();
        //then
        Assert.assertEquals("Dayhani", actual);

    }

    @Test
    public void addMoney(){
        Wallet wallet= new Wallet(100.00, "Nury H.");
        //given
        double amount = 100.00;
        wallet.addMoney(amount);
        //when
        double actual = wallet.getMoney();
        //then
        Assert.assertEquals(200.00, actual,0.01);

    }

    @Test
   public void takeMoney(){
        Wallet wallet= new Wallet(230.00, "Nury H.");
        //given
        double amount = 75.00;
        wallet.takeMoney(amount);
        //when
        double actual = wallet.getMoney();
        //then
        Assert.assertEquals(155.00, actual, 0.01);

    }
}
